View Javadoc

    1   /**
    2    *
    3    * Copyright 2003-2004 The Apache Software Foundation
    4    *
    5    *  Licensed under the Apache License, Version 2.0 (the "License");
    6    *  you may not use this file except in compliance with the License.
    7    *  You may obtain a copy of the License at
    8    *
    9    *     http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   *  Unless required by applicable law or agreed to in writing, software
    12   *  distributed under the License is distributed on an "AS IS" BASIS,
    13   *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   *  See the License for the specific language governing permissions and
    15   *  limitations under the License.
    16   */
    17
    18  //
    19  // This source code implements specifications defined by the Java
    20  // Community Process. In order to remain compliant with the specification
    21  // DO NOT add / change / or delete method signatures!
    22  //
    23
    24  package javax.servlet.jsp;
    25
    26  /**
    27   * Exception to indicate the calling page must cease evaluation.
    28   * Thrown by a simple tag handler to indicate that the remainder of
    29   * the page must not be evaluated.  The result is propagated back to
    30   * the pagein the case where one tag invokes another (as can be
    31   * the case with tag files).  The effect is similar to that of a
    32   * Classic Tag EventHandler returning Tag.SKIP_PAGE from doEndTag().
    33   * Jsp Fragments may also throw this exception.  This exception
    34   * should not be thrown manually in a JSP page or tag file - the behavior is
    35   * undefined.  The exception is intended to be thrown inside
    36   * SimpleTag handlers and in JSP fragments.
    37   *
    38   * @see javax.servlet.jsp.tagext.SimpleTag#doTag
    39   * @see javax.servlet.jsp.tagext.JspFragment#invoke
    40   * @see javax.servlet.jsp.tagext.Tag#doEndTag
    41   * @since 2.0
    42   */
    43  public class SkipPageException
    44      extends JspException
    45  {
    46      /**
    47       * Creates a SkipPageException with no message.
    48       */
    49      public SkipPageException() {
    50          super();
    51      }
    52
    53      /**
    54       * Creates a SkipPageException with the provided message.
    55       *
    56       * @param message the detail message
    57       */
    58      public SkipPageException( String message ) {
    59          super( message );
    60      }
    61
    62      /**
    63       * Creates a SkipPageException with the provided message and root cause.
    64       *
    65       * @param message the detail message
    66       * @param rootCause the originating cause of this exception
    67       */
    68      public SkipPageException( String message, Throwable rootCause ) {
    69  	super( message, rootCause );
    70      }
    71
    72      /**
    73       * Creates a SkipPageException with the provided root cause.
    74       *
    75       * @param rootCause the originating cause of this exception
    76       */
    77      public SkipPageException( Throwable rootCause ) {
    78  	super( rootCause );
    79      }
    80
    81  }
    82
    83